## Changelog

## 4.18.1 [01 Mar 2024]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.18.4
    - Fix back button not responding issues on face capture screen 
    - Add null checks for mimeType and URI in upload doc flow 
    - Fix capture completion callbacks firing multiple times
  - Use native iOS hypersnapsdk to 4.18.0
    - Fix issue with reversed instruction for active liveness on multi cam devices

## 4.18.0 [08 Jan 2024]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.18.2
    - Fix Button letter spacing to 0 by default
    - Fix crashes when activity is restarted
    - Fix 404 issues on 3rd retry of OCR and liveness call
    - Fix ANRs in onPause of capture screens
    - Fix camera crash on video statement flow
    - Bump HVCamera 3.4.2
    - Bump HyperLogger 0.0.3
    - Bump Crashguard 2.0.2
  - Use native iOS hypersnapsdk to 4.17.1

## 4.17.0 [08 Jan 2024]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.17.0
    - Fix camera related leaks
    - Fix NPE issues with Face Detector states
    - Fix to not show HyperVerge branding on camera permission dialogs
    - Bump HVCamera version 3.4.0
      - Changes to fix camera leaks
  - Upgrade native iOS hypersnapsdk to 4.17.1
    - Bug Fixes:
      - Fix null pointer crash in switch camera
      - Fix crash in selecting available preview formats for image capture
    
## 4.16.1 [04 Dec 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.16.1
    - Fix race conditions with camera initialisations on document capture (root cause of back camera showing up in selfie capture on few Samsung phones)
    - Bump HVCamera version to 3.3.3 
      - Fix resolution selector logic when only one resolution is supported by a device
  - Upgrade native iOS hypersnapsdk to 4.16.1
    - Fix null pointer crash in switch camera functionality
    - Fix crash in selecting available preview formats for image capture

## 4.16.0 [12 Oct 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.16.0
    - Add support for videoStatementV2 in UI config helpers
    - Fix auth error responses for face capture liveness
    - Fix `HyperSnapUIConfigUtil` crash in low memory conditions
  - Upgrade native iOS hypersnapsdk to 4.16.0
    - Add support for videoStatementV2 in UI config helpers

## 4.15.0 [19 Sep 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.15.0
    - Support showing of client logos in all the screens
    - Support showing of customised primary button icons
    - Support to hide/show primary button icon
    - Fix ripple animation to be in sync with HyperKYC
    - Fix network tampering errors when JSON value contains `\n` characters
    - Fix signature validation when `metadata` is missing in the response. 
    - Fix OCR API call to return NETWORK_ERROR when not connected to the internet
  - Upgrade native iOS hypersnapsdk to 4.15.0
    - Support custom icons for primary buttons through UI config - support show/hide of these icons as well 
    - Support displaying of client logos through UI config 
    - Fix flashButton show/hide issue 
    - Fix newline character signature issue 
    - Fix indefinite loading animation after capturing the image in lower end devices 
    - Fix SDK crash on clicking back button when image is being processed 
    - Fix iPad closing on iOS 13 & above

## 4.14.1 [11 Sep 2023]
- Bug fix :
  - Fix the order of passing imageURIs to `FLHVNetworkHelper.makeFaceMatchCall` in android wrapper

## 4.14.0 [16 Aug 2023]
- Maintenance : 
  - Upgrade native android hypersnapsdk to 4.14.0
    - Show document review screen in upload flow (sync with iOS)
    - Disable closing of activities when Liveness and OCR API calls are being made 
    - Update face detection logic after capture 
    - Add support for `loggingPercentage` and `effectiveFrom` via Analytics Config 
    - Update to v2 feature config 
    - Check for `null` filepath before creating EXIF 
    - Use `getString` to get String resources to show message in Alert Dialog Box 
    - Fix `WindowManager$BadTokenException` when showing Alert Dialog Box 
    - Fix `IllegalStateException - Can't compress a recycled bitmap` crash 
    - Fix camera button color customisation for face capture flow 
    - Bump HVCamera module version to `3.3.2`
      - Add check for isCameraOpened before opening preview 
      - Add null check for glBuffers
      - Add support to get multiple resolutions hardware info
    - Bump crashguard module version to `1.1.2`
      - Change exported to false for CrashIntentService
      - Update filter logic to check for filter strings in stacktrace string
    - Bump hypervideo module version to 2.0.0
      - Bug fixes to selfie video recording
  - Upgrade native iOS hypersnapsdk to 4.14.0
    - Add support for `loggingPercentage` and `effectiveFrom` via Analytics config 
    - Disable closing of activities when Liveness and OCR API calls are being made 
    - Add Processing text padding for A4 document type

## 4.13.0 [28 Jul 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.13.0
    - Add support for Video Statement Module
    - Add support to extract face data from Secure Aadhaar QR codes
    - Fix crashes in foldable devices
    - Fix status and preview overlap in face capture screen in all small screen devices
    - Fix face match validation logic to check for invalid file input values
    - Fix requireContext NPE crashes in face capture flow
    - Fix `verifyAPI` function to return `INPUT_ERROR` instead of `INTERNAL_SDK_ERROR` when context passed is null
  - Upgrade native iOS hypersnapsdk to 4.13.0
    - Add support for Video Statement Module

## 4.12.1 [14 Jul 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.12.2

## 1.5.2 [13 Jul 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.8.2

## 4.12.0 [05 Jul 2023]
- Features :
  - Add `HyperSnapSDK#isInitialised()` to check if HyperSnapSDK is initialised successfully or not
  - Add support to make barcode read mandatory via HVDocConfig `disableBarcodeSkip` data member
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.12.0
    - Add support to make barcode read mandatory via HVDocConfig `setDisableBarcodeSkip` function
    - Add support for customising stay still text via text configs
    - Fix NPE for `getlocationonscreen` function call in face capture flow
  - Upgrade native iOS hypersnapsdk to 4.12.0
    - Add support to make barcode read mandatory via HVDocConfig `setDisableBarcodeSkip` function
    - Fix memory issues in iPhone 6 & 7 variants

## 1.5.1 [30 Jun 2023]
- Features :
  - Add `HyperSnapSDK#isInitialised()` to check if HyperSnapSDK is initialised successfully or not

## 4.11.0 [24 Jun 2023]
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.11.0
    - Remove unused resources and code to optimise SDK size
    - Add support to fallback to default face detector when `face-detection-preview-frame` module is excluded
    - Add support to return longitude and latitude in `HVResponse` object
    - Fix signature check issue caused by JSONArray sorting
  - Upgrade native iOS hypersnapsdk to 4.11.0
    - Add support to return longitude and latitude in `HVResponse` object
    - Fix signature check issue caused by JSONArray sorting
    - Remove deprecated AVFoundation usages

## 4.10.0 [20 Jun 2023]
- Breaking Changes :
  - Remove deprecated setter functions & customisations
  - Follow our migration documentation to migrate to new style of integration
- Fixes : 
  - Fix minor bugs in Android & iOS wrappers
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.10.0
    - Add support to mask aadhaar number from Barcode capture by default - *Breaking change*
    - Add support to check signature for non-200 status codes
    - Add support for loaders/progress indicators in review screen flows
    - Add changes to support for session recording
    - Add support to delete sensor data files after upload
    - Add support for instructions during barcode scanning within Document capture
    - Add support for unfiltered API Response Header values
    - Add back navigation bug with Face capture when instructions screen is enabled
  - Upgrade native iOS hypersnapsdk to 4.10.0
    - Add adaptive UI support for iPad
    - Add support to check signature for allowedStatusCodes
    - Add changes to support for session recording
    - Add support to delete sensor data files after upload
    - Add support for instructions during barcode scanning within Document capture
    - Add support for unfiltered API Response Header values
    - Add back navigation bug with Face capture when instructions screen is enabled

## 1.5.0 [08 May 2023]

- Maintenance :
  - Upgrade native android hypersnapsdk to 4.8.0
    - Add support to enable/disable selfie video recording feature from remote config
    - Log video recording events to rudderstack
    - Improve Aadhaar secure QR and XML parsers
    - Fix NPE issues with NetworkHelper checks
    - Fix NPE issue with document upload flow
  - Upgrade native iOS hypersnapsdk to 4.8.0
    - Add support to enable/disable selfie video recording feature from remote config
    - Log video recording events to rudderstack
    - Add support to customise picker ui
    - Support feature enabling/disabling by OS config
    - Support Look Straight feature for iOS 16+ devices (which was previously disabled for all iOS 16+ devices)

## 1.4.0 [08 May 2023]

- Bug-fixes :
  - Fix iterator issue in `FLHVUtils`
  - Fix `livenessEndpoint` defaults to empty string bug
- Maintenance :
  - Upgrade native android hypersnapsdk to 4.7.0
    - Update SDK security
    - Fix overlay and loading text for `a4` aspect ratio previews
    - Fix to pause camera preview when API calls are made
    - Add timeout for face detector and face capture
    - Add flag to enable or disable showing of overlays; overlays are shown by default
    - Disable overlays for active liveness; overrides overlay config if active liveness is used
    - Enable customisations and fix bugs for QR capture flow
    - Add internal support functions to enable picker UI customisations
  - Upgrade native iOS hypewrsnapsdk to 4.7.0 
    - Update SDK security
    - Add flag to enable or disable showing of overlays; overlays are shown by default
    - Disable overlays for active liveness; overrides overlay config if active liveness is used
    - Enable customisations and fix bugs for QR capture flow
    - Support `formPlaceHolderTextColor` from UI Config
    - Fix UI/UX bugs (Retake button placement, Selfie retake button border radius, Spinner animation, Camera-permission view)

## 1.3.1 [11 Feb 2023]

- Maintenance :
  - Upgrade native android hypersnapsdk to 4.6.0
    - Disable document capture camera resolution randomisation 
    - Fix Face Doc capture and upload NPEs 
    - Fix Face capture retake flow - progress not dismissed bug 
    - Fix Document Capture button visibility bug with auto capture

## 1.3.0 [02 Feb 2023]

- Features : 
  - Update the response structure - Add `retakeAttemptResponses` in main response object
  - Update the response structure - Add `activeLivenessResult` in main response object
  - Add `HVUIConfig` object to config UI of the SDK
  - Add document upload feature
  - Add `HVBarcodeScanUIStrings` to configure UI strings in Barcode scan capture screens
- Maintenance : 
  - Add consumer rules needed for UI config release-build
  - Add necessary functions / variables-renaming to make Flutter SDK consistent with RN SDK
  - Upgrade native android hypersnapsdk to 4.5.0, native iOS hypersnapsdk to 4.6.0

## 1.2.2 [01 Feb 2023]

- Bug-fixes 
  - Fix Flutter `Region` to native `Region` conversion bug
  - Fix `livenessEndpoint - required` issue

## 1.2.1 [27 Dec 2022]

- Update the response structure - Remove flattened `apiResult` in main response object
- Fix `Region Africa` Android enum issue

## 1.2.0 [07 Dec 2022]

- Deprecation of old setter functions
- HVError and HVResponse classes
- Update Documentation 
- Add support for Document auto capture, Selfie Active Liveness
- Upgrade native android hypersnapsdk to 4.3.0, native iOS hypersnapsdk to 4.4.0

## 1.1.4 [12 Sep 2022]

- Fix document type and aspect ratio issue

## 1.1.3 [18 Aug 2022]

- Fix text customisation issues
- Add support for loading screen text customisation
- Upgrade native android hypersnapsdk to 4.1.3, native iOS hypersnapsdk to 4.1.6

## 1.1.2 [05 Aug 2022]

- Support custom endpoints for face match
- Support different face match modes for face match
- Upgrade native android hypersnapsdk to 4.1.2, native iOS hypersnapsdk to 4.1.5

## 1.1.1 [22 Jul 2022]

- Add QR scanner feature
- Upgrade native android hypersnapsdk to 4.1.1, native iOS hypersnapsdk to 4.1.3

## 1.1.0 [21 Jun 2022]

- New UI/UX
- Upgrade native android hypersnapsdk to 4.1.0-alpha01, native iOS hypersnapsdk to 4.1.1
- Support selfie auto capture feature and video recording feature

## 1.0.12 [2 May 2022]

- Client should get both error and response.
- Upgrade native android hypersnapsdk to 3.6.29

## 1.0.11 [30 Mar 2022]

- Minor bug fixes

## 1.0.10 [28 Mar 2022]

- Fix `docsCaptureSetDefaultPadding` function bug
- Fix RegionAfrica bug in iOS wrapper files
- Upgrade native android hypersnapsdk version to 3.6.27, native iOS hypersnapsdk version to 2.7.6

## 1.0.9 [18 Mar 2022]

- Enable setting default padding for iOS platform using the function
  `docsCaptureSetDefaultPadding` function

## 1.0.8 [16 Dec 2021]

- Upgrade native android hypersnapsdk version to 3.6.18
- Add Region Africa support
- Bug fixes

## 1.0.7 [11 Nov 2021]

- Upgrade native android hypersnapsdk version to 3.6.13
- Bug fixes
- Add more APIs and functionalities (video recording support for android platform)

## 1.0.6 [07 Oct 2021]

- Upgrade native SDK versions (android to 3.6.8 and iOS to 2.7.0)
- Update usage of livenessAPIParameters and livenessAPIHeaders
- Update startUserSession logic in wrapper files

## 1.0.5 [22 Sept 2021]

- Upgrade native SDK versions (android to 3.6.7 and iOS to 2.6.11)
- Fix view controller related bug

## 1.0.4

- Add extra layers of security to HyperSnapSDK
- Add more APIs and functionalities

## 1.0.3

- Bug fix in `FLHVDocsCapture#setUIStrings` : iOS error page retake button text

## 1.0.2

- Upgrade native SDK versions
- Add more APIs and functionalities
- Bug fix in response structures from native SDKs

## 1.0.1

- Bug fix in `FLHVFaceCapture#setUIStrings`

## 1.0.0

- Add more APIs and functionalities
- Upgrade native SDK versions

## 0.0.2

- Minor updates to plugin docs

## 0.0.1

- 1st release of HyperSnap SDK Flutter plugin
